POST api/Account/AddConnectBankAccount

Request Information

URI Parameters

None.

Body Parameters

ConnectViewModel
NameDescriptionTypeAdditional information
ConnectAccountId

string

None.

UserId

string

None.

BankAccount

ConnectBankAccount

None.

Request Formats

application/json, text/json

Sample:
{
  "connectAccountId": "sample string 1",
  "userId": "sample string 2",
  "bankAccount": {
    "bankAccountId": "sample string 1",
    "bankAccountNumber": "sample string 2",
    "rountingNumber": "sample string 3",
    "bankName": "sample string 4",
    "accountType": "sample string 5"
  }
}

application/xml, text/xml

Sample:
<ConnectViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels">
  <BankAccount>
    <AccountType>sample string 5</AccountType>
    <BankAccountId>sample string 1</BankAccountId>
    <BankAccountNumber>sample string 2</BankAccountNumber>
    <BankName>sample string 4</BankName>
    <RountingNumber>sample string 3</RountingNumber>
  </BankAccount>
  <ConnectAccountId>sample string 1</ConnectAccountId>
  <UserId>sample string 2</UserId>
</ConnectViewModel>

multipart/form-data

Sample:
<ConnectViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><BankAccount><AccountType>sample string 5</AccountType><BankAccountId>sample string 1</BankAccountId><BankAccountNumber>sample string 2</BankAccountNumber><BankName>sample string 4</BankName><RountingNumber>sample string 3</RountingNumber></BankAccount><ConnectAccountId>sample string 1</ConnectAccountId><UserId>sample string 2</UserId></ConnectViewModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml, multipart/form-data

Sample:

Sample not available.